package ru.rsdn.patterns.mvc.samples;

/**
 * Переключатель
 */
public class Switch {
	private boolean state;

	public Switch() {
	}

	/**
	 * Конструктор
	 * @param _state состояние
	 */
	public Switch(boolean _state) {
		state = _state;
	}

	/**
	 * @return состояние
	 */
	public boolean getState() {
		return state;
	}

	@Override
	public String toString() {
		if (state)
			return "Включен";
		return "Выключен";
	}

	@Override
	public boolean equals(Object obj) {
		if (obj != null && obj instanceof Switch)
			return state == ((Switch) obj).getState();
		return super.equals(obj);
	}
}
